package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户字段扩展对象 crm_customer_ext
 * 
 * @author fs
 * @date 2023-03-14
 */
public class CrmCustomerExt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long extId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private Long companyId;

    /** 字段名称 */
    @Excel(name = "字段名称")
    private String name;

    /** 字段类型 */
    @Excel(name = "字段类型")
    private Integer type;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;

    public void setExtId(Long extId) 
    {
        this.extId = extId;
    }

    public Long getExtId() 
    {
        return extId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("extId", getExtId())
            .append("companyId", getCompanyId())
            .append("name", getName())
            .append("type", getType())
            .append("status", getStatus())
            .append("sort", getSort())
            .toString();
    }
}
